/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"long_char.h"


L_CHAR
get_lc_mask(L_CHAR code)
{
	if ( (code&LCZM_4BYTE) == LCZ_4BYTE )
		return LCZM_4B_TYPE;
	if ( (code&LCZM_3BYTE) == LCZ_3BYTE )
		return LCZM_3B_TYPE;
	if ( (code&LCZM_2BYTE) == LCZ_2BYTE )
		return LCZM_2B_TYPE;
	if ( (code&LCZM_1BYTE) == LCZ_1BYTE )
		return LCZM_1B_TYPE;
	return LCZM_7b_TYPE;
}
